#include <wx/wx.h>
#include "incs/GiskardConnector.h"
#include "incs/GiskardRemoteGUILoginWaitDialog.h"

GiskardRemoteGUILoginWaitDialog::GiskardRemoteGUILoginWaitDialog( wxWindow* parent )
:
GenGiskardRemoteGUILoginWaitDialog( parent )
{
  this->giskardConnector = NULL;
}

/**
 * Versucht die Verbidung mit dem Roboter zu erstellen
 * Ruft die Methode connectToRobot der Klasse GiskardConnector auf
 */
void GiskardRemoteGUILoginWaitDialog::doConnect( wxActivateEvent& event )
{
  if(!this->giskardConnector->hasTryed())
  {
    this->Refresh();
    this->Update();
    if(this->giskardConnector->connectToRobot(this->loginStr, this->passwdStr, this->hostStr))
      this->EndModal(CONNECT_OK);
    else
      this->EndModal(CONNECT_ERROR);
  }
}
