/*******************************************************************************
*    Robot "Giskard" 1.0.                                                      *
*    Copyright (C) 2009-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Mechanism by Mario Zimmermann   mario@tesla-crew.de                       *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

#define DEVELOP
#define DEBUG

#ifdef DEVELOP
#define LOCALEDIR     "../locale/"
#define HELPDIR       "../help/"
#define DEBUG
#else
#define LOCALEDIR     "/usr/share/giskard/locale/"
#define HELPDIR       "/usr/share/giskard/help/"
#endif
#define GISKARDDIR    ".giskard"
#define CONFIGFILE    "main.cfg"
#define HOSTSFILE     "hosts.cfg"
#define MAINHELPFILE  "index.html"

#define GISKARDPORT   "1972"
#define CAMERAPORT    "9876"
#define QUERYINTERVAL 1 // Alle Sekunden werden die Statui vom Roboter geholt

#endif /* CONSTANTS_H_ */
