#!/bin/sh

# Einstellungen
base=/home/lucabert/prg/robot/giskard-RemoteGUI
code=$base/*.cpp
inc=$base/*.h

# Strings extrahieren
touch messages.po
/usr/bin/xgettext --from-code=UTF-8 -j -k_ -LC++ $code $inc

# Englisch
# Übersetzungen aktualisieren
if [ -f en_US.po ]; then
        /usr/bin/msgmerge en_US.po messages.po -o .tmp
        mv .tmp en_US.po
else
        cp messages.po en_US.po
fi

# Übersetzungen installieren
/usr/bin/msgfmt -o giskard.mo en_US.po
if [ -f giskard.mo ]; then
        mkdir -p en/LC_MESSAGES
        mv giskard.mo en/LC_MESSAGES/
fi

# Italienisch
# Übersetzungen aktualisieren
if [ -f it_IT.po ]; then
        /usr/bin/msgmerge it_IT.po messages.po -o .tmp
        mv .tmp it_IT.po
else
        cp messages.po it_IT.po
fi

# Übersetzungen installieren
/usr/bin/msgfmt -o giskard.mo it_IT.po
if [ -f giskard.mo ]; then
        mkdir -p it/LC_MESSAGES
        mv giskard.mo it/LC_MESSAGES/
fi
